package eu.jonahbauer.raytracing;

import eu.jonahbauer.raytracing.render.Camera;
import eu.jonahbauer.raytracing.render.ImageIO;
import eu.jonahbauer.raytracing.render.Scene;
import eu.jonahbauer.raytracing.shape.Sphere;

import java.io.IOException;
import java.nio.file.Path;

public class Main {
    public static void main(String[] args) throws IOException {
        var scene = new Scene(new Sphere(0, 0, 1, 0.5));
        var camera = new Camera(256, 2, 16 / 9d);

        var image = scene.render(camera);
        ImageIO.write(image, Path.of("scene-" + System.currentTimeMillis() + ".ppm"));
    }
}